<?php

/**
 * @file
 * Provides Microsoft Translator ui controller.
 */

/**
 * Microsoft translator ui controller.
 */
class TMGMTMicrosoftTranslatorUIController extends TMGMTDefaultTranslatorUIController {

  /**
   * Overrides TMGMTDefaultTranslatorUIController::pluginSettingsForm().
   */
  public function pluginSettingsForm($form, &$form_state, TMGMTTranslator $translator, $busy = FALSE) {
    $instruction_url = 'https://cognitive.uservoice.com/knowledgebase/articles/1128340-announcements-action-required-before-april-30-20#signup';
    $form['api'] = array(
      '#type' => 'textfield',
      '#title' => t('Microsoft Azure API Key'),
      '#default_value' => $translator->getSetting('api'),
      '#required' => TRUE,
      '#element_validate' => array('tmgmt_microsoft_plugin_settings_form_validate'),
      '#description' => t('Please enter your Azure Cognitive Services API key. Instructions on how to set up your Azure account and get the key can be found <a href="!link" target="_blank">here</a>',array('!link' => $instruction_url)),
    );
    return parent::pluginSettingsForm($form, $form_state, $translator);
  }

}
